Get Worth 360 Report Details
curl --request GET \
--url https://api.joinworth.com/report/api/v1/reports/{reportID} \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.joinworth.com/report/api/v1/reports/{reportID}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.joinworth.com/report/api/v1/reports/{reportID}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"status": "success",
"message": "Report details fetched successfully",
"data": {
"id": "06cf2b4b-51fc-4e7f-8f60-e2c2ab161f23",
"report_type_id": 1,
"status": "REQUESTED",
"log": null,
"created_at": "2025-04-10T10:41:50.398Z",
"created_by": "fe879c59-f9e4-4796-9a63-38927541f0d7",
"updated_at": "2025-04-10T10:41:50.398Z",
"triggered_by": "CUSTOMER",
"triggered_id": "815f078a-2bc7-4fa9-84cb-b4e0c62a504f",
"file_path": null,
"report_type": {
"core_report_types": {
"id": 1,
"code": "business_report",
"label": "Business Report"
}
}
}
}Worth 360 Report
Get Worth 360 Report Details
Get Report by ID
This endpoint retrieves a specific report based on the provided report ID.
Request
No request body is required for this endpoint.
reportID(path parameter) - The ID of the report to be retrieved.
Response
The response will be a JSON object with the following schema:
{
"type": "object",
"properties": {
"status": {
"type": "string"
},
"message": {
"type": "string"
},
"data": {
"type": "object",
"properties": {
"id": {
"type": "string"
},
"report_type_id": {
"type": "integer"
},
"status": {
"type": "string"
},
"log": {
"type": ["string", "null"]
},
"created_at": {
"type": "string"
},
"created_by": {
"type": "string"
},
"updated_at": {
"type": "string"
},
"triggered_by": {
"type": "string"
},
"triggered_id": {
"type": "string"
},
"report_type": {
"type": "object",
"properties": {
"core_report_types": {
"type": "object",
"properties": {
"id": {
"type": "integer"
},
"code": {
"type": "string"
},
"label": {
"type": "string"
}
}
}
}
}
}
}
}
}
GET
/
reports
/
{reportID}
Get Worth 360 Report Details
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Example:
"{{report_id}}"
Response
200 - application/json; charset=utf-8
OK
Show child attributes
Show child attributes
Example:
{
"id": "06cf2b4b-51fc-4e7f-8f60-e2c2ab161f23",
"report_type_id": 1,
"status": "REQUESTED",
"log": null,
"created_at": "2025-04-10T10:41:50.398Z",
"created_by": "fe879c59-f9e4-4796-9a63-38927541f0d7",
"updated_at": "2025-04-10T10:41:50.398Z",
"triggered_by": "CUSTOMER",
"triggered_id": "815f078a-2bc7-4fa9-84cb-b4e0c62a504f",
"file_path": null,
"report_type": {
"core_report_types": {
"id": 1,
"code": "business_report",
"label": "Business Report"
}
}
}
Was this page helpful?